# enid collect-gentxs

#### `enid collect-gentxs`

```ansi
Collect genesis transactions and output the genesis.json file

Usage:
  enid collect-gentxs [flags]

Flags:
      --gentx-dir string   Override the default "gentx" directory from which to collect and execute genesis transactions; default is [--home]/config/gentx/
  -h, --help               Help information for collect-gentxs
      --home string        Application home directory (default "~/.eni")

Global Flags:
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-collect-gentxs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
